Bug 817038 - Can't add bitmap to array (version 1.0 metadata)
Summary: Can't add bitmap to array (version 1.0 metadata)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mdadm
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jes Sorensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-27 13:40 UTC by Jes Sorensen
Modified: 2012-07-11 23:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-07 02:49:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Jes Sorensen 2012-04-27 13:40:31 UTC
Description of problem:
Cannot add write intent bitmap to MD array with metadata=1.0.

Version-Release number of selected component (if applicable):
mdadm 3.2.3

How reproducible:
mdadm 3.2.2 - does not fail
mdadm 3.2.3 - fails only when metadata=1.0
mdadm-508a7f1 (git upstream) - fails only when metadata=1.0

Steps to Reproduce:
mdadm --verbose --create /dev/md100 --level=1 --raid-devices=2 --metadata=1.0
/dev/sdc1 /dev/sdd1

[wait for resync]

mdadm -Gb internal /dev/md100


Actual results:
mdadm: failed to set internal bitmap.

[dmesg]

attempt to access beyond end of device
sdd1: rw=192, want=4297087785, limit=2120517
attempt to access beyond end of device
sdc1: rw=192, want=4297087785, limit=2120517


Expected results:
The write intent bitmap should have been successfully added.

Comment 1 Fedora Update System 2012-05-02 10:09:49 UTC
mdadm-3.2.3-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc17

Comment 2 Fedora Update System 2012-05-02 10:15:54 UTC
mdadm-3.2.3-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc16

Comment 3 Fedora Update System 2012-05-02 10:19:41 UTC
mdadm-3.2.3-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc15

Comment 4 Fedora Update System 2012-05-02 20:34:45 UTC
Package mdadm-3.2.3-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.3-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7105/mdadm-3.2.3-9.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-05-10 14:49:16 UTC
mdadm-3.2.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc17

Comment 6 Fedora Update System 2012-05-10 14:51:54 UTC
mdadm-3.2.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc16

Comment 7 Fedora Update System 2012-05-10 14:54:33 UTC
mdadm-3.2.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc15

Comment 8 Fedora Update System 2012-05-15 16:36:37 UTC
mdadm-3.2.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc17

Comment 9 Fedora Update System 2012-05-15 16:43:02 UTC
mdadm-3.2.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc16

Comment 10 Fedora Update System 2012-05-15 16:47:42 UTC
mdadm-3.2.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc15

Comment 11 Fedora Update System 2012-05-21 15:08:46 UTC
mdadm-3.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc17

Comment 12 Fedora Update System 2012-05-21 15:15:01 UTC
mdadm-3.2.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc16

Comment 13 Fedora Update System 2012-05-21 15:20:42 UTC
mdadm-3.2.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc15

Comment 14 Fedora Update System 2012-06-07 02:49:16 UTC
mdadm-3.2.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-06-07 02:52:28 UTC
mdadm-3.2.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-06-26 07:16:54 UTC
mdadm-3.2.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-3.fc17

Comment 17 Fedora Update System 2012-07-11 23:54:34 UTC
mdadm-3.2.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.